aboutsummaryrefslogtreecommitdiffstats
path: root/debian/preinst
diff options
context:
space:
mode:
authorTatsuya Kinoshita <tats@vega.ocn.ne.jp>2011-05-04 07:18:09 +0000
committerTatsuya Kinoshita <tats@vega.ocn.ne.jp>2011-05-04 07:18:09 +0000
commit5f8e0f8ef9a422691dd72e8a953a42a41478fcb4 (patch)
tree4b2df4796a534793648b3c4fc532fc36bd0cd525 /debian/preinst
parentReleasing debian version 0.3-2.4 (diff)
downloadw3m-5f8e0f8ef9a422691dd72e8a953a42a41478fcb4.tar.gz
w3m-5f8e0f8ef9a422691dd72e8a953a42a41478fcb4.zip
Releasing debian version 0.5.1-1debian/0.5.1-1
Diffstat (limited to 'debian/preinst')
-rw-r--r--debian/preinst21
1 files changed, 21 insertions, 0 deletions
diff --git a/debian/preinst b/debian/preinst
new file mode 100644
index 0000000..274d592
--- /dev/null
+++ b/debian/preinst
@@ -0,0 +1,21 @@
+#!/bin/sh -e
+
+case "$1" in
+ install|upgrade)
+ # Older versions of this package had the conffile in the wrong
+ # location (the w3m binary didn't use it). Copy it if its there,
+ # so any customisation done there can be preserved. We actually
+ # get rid of the wrong file in our postinst.
+ if dpkg --compare-versions "$2" lt-nl "0.4.2-1.1"; then
+ if test -e /etc/w3m/w3mconfig; then
+ if ! test -e /etc/w3m/config; then
+ cp -a /etc/w3m/w3mconfig /etc/w3m/config
+ fi
+ fi
+ fi
+ ;;
+ *)
+esac
+
+#DEBHELPER#
+